from setuptools import setup, find_packages
import pathlib

here = pathlib.Path(__file__).parent.resolve()
long_description = (here / 'README.md').read_text(encoding='utf-8')

PACKAGE_NAME = 'srenet'

setup(
    name=PACKAGE_NAME,
    version='1.0.0',
    description='Screen & Relax : A fast solving procedure for the Elastic-Net problem by safe identification of the solution support.',
    long_description=long_description,
    long_description_content_type='text/markdown',
    author='Theo Guyard',
    author_email='theo.guyard@insa-rennes.fr',

    classifiers=[
        'Development Status :: 1 - Planning',
        'Intended Audience :: Science/Research',
        'Topic :: Scientific/Engineering :: Mathematics',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3.9',
    ],

    keywords='optimization, compressive sensing, screening',

    packages=find_packages(),
    include_package_data=True,
    python_requires='>=3.9, <4',

)